/**
 * Test case for scaledSize.
 * Runs with mocha.
 */
'use strict'

const scaledSize = require('../lib/sizing/scaled_size.js')
const assert = require('assert')

describe('scaled-size', () => {
  before((done) => {
    done()
  })

  after((done) => {
    done()
  })

  it('Scaled size', (done) => {
    let size = scaledSize(
      { width: 128, height: 64 },
      { width: 32, height: 32 },
      'fit'
    )
    assert.deepEqual(size, { width: 32, height: 16 })
    done()
  })
})

/* global describe, before, after, it */
